Subject: Doc and Idraw binaries uploaded
From: Michael Caro - ACPS/F93 <[email-masked]>
Date: Wed, 2 Mar 1994 05:42:26 GMT
Newsgroups: comp.os.linux.announce

Hello fellow Linuxers!

	I have uploaded idraw and doc to sunsite.  "doc" is WYSIWYG 
document editor.  "idraw" is a drawing package.  You can import idraw 
pictures into doc files.  The doc package is a bit quirky, but some bugs 
have been fixed that make it more useable.  It is also a bit slow, but 
with -O6 optimization, it seems to be much better, even on big files.
  There are only the two binaries and support files.  I imagine that a 
lot of you only want to have a decent word processor (even if it is not 
as fancy as commercial offerings).  
	The file is called     idraw-and-doc.tz 
        and it is in           /pub/Linux/Incoming on sunsite.
	and soon to be in      /pub/Linux/X11/devel at that same site.
 
Below is the readme included in the tar file.
-------------------------------------------------------
README for idraw and doc binaries.  Submitted by Michael Caro.
[email-masked]

Hello fellow Linuxers!.

This is the README for the linux binaries of InterViews 3.1 doc and idraw.

I used GCC 2.5.7 and libc.so.4.5.8 with libg++-2.5.3l.1.

In order to use this version of doc unpack the tar file in the root 
directory,
and put doc and idraw anywhere in your path.  Then simply type
"doc" or "idraw" from within X.

There are 2 man pages included. It's a bit sketchy, but that is
all that is presently available.

You may have some problems if you don't have up to date versions of
the Linux kernel, and the newest Xfree (X386).

You also should have at least a 386/25, with a math co-processor.

There are various default styles in /usr/local/interviews/lib/all/styles.

There is an app-defaults file in /usr/local/interviews/lib/all/app-defaults.

You must have the /usr/local/interviews directory (as provided in the tar

file) as it was hard coded at compile time.  You could use links if you wish.

The sources are available from interviews.stanford.edu. Patches are at 
sunsite.

I have added some other patches that fix some quirky things in doc.  They are

applied in the provided binaries.  There is a news group for interviews, so

please consult it for more info.

  Doc is a WYSIWYG document editor that is part
of the InterViews package.  It uses algorithms
from TeX to format the text. The files are stored
in a LaTeX style, and those who know LaTeX should
be able to modify the output if desired. Doc
gives its output in postscript so you might want
to get ghostscript if you don't have a postcript
printer.

  Idraw is a drawing program that outputs
in postscript.  You can use idraw figures in doc.
There are some doc and idraw samples provided.

-------------------------------------------------------------------------
Beginners Smiley Lexicon
:-# My lips are sealed          :-& Tongue tied         :-! Foot in mouth

:-V Shout                       :-D Laughing out loud   :-* Kiss

:-? Pipe smoker                 7:^] Ronald Reagan